# Class VulkanLWJGLClearValues

java.lang.Object
com.io7m.jcoronado.lwjgl.internal.VulkanLWJGLClearValues

public final class VulkanLWJGLClearValues extends Object
Functions to pack rectangles.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.lwjgl.vulkan.VkClearValue`
  `pack(org.lwjgl.system.MemoryStack stack, VulkanClearValueType source)`
  Pack a structure.
  `static org.lwjgl.vulkan.VkClearValue.Buffer`
  `packAll(org.lwjgl.system.MemoryStack stack, List<VulkanClearValueType> values)`
  Pack a structure.
  `static org.lwjgl.vulkan.VkClearColorValue`
  `packColor(org.lwjgl.system.MemoryStack stack, VulkanClearValueType.VulkanClearValueColorType source)`
  Pack a structure.
  `static org.lwjgl.vulkan.VkClearDepthStencilValue`
  `packDepthStencil(org.lwjgl.system.MemoryStack stack, VulkanClearValueDepthStencil source)`
  Pack a structure.
  `static org.lwjgl.vulkan.VkClearValue`
  `packTo(VulkanClearValueType source, org.lwjgl.vulkan.VkClearValue target)`
  Pack a structure.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### packAll

    public static org.lwjgl.vulkan.VkClearValue.Buffer packAll(org.lwjgl.system.MemoryStack stack, List<VulkanClearValueType> values)
    Pack a structure.
    Parameters:
      `stack` - A stack
      `values` - A structure
    Returns:
      A packed structure

  - ### pack

    public static org.lwjgl.vulkan.VkClearValue pack(org.lwjgl.system.MemoryStack stack, VulkanClearValueType source)
    Pack a structure.
    Parameters:
      `stack` - A stack
      `source` - A structure
    Returns:
      A packed structure

  - ### packTo

    public static org.lwjgl.vulkan.VkClearValue packTo(VulkanClearValueType source, org.lwjgl.vulkan.VkClearValue target)
    Pack a structure.
    Parameters:
      `source` - The source value
      `target` - The target structure
    Returns:
      A packed structure

  - ### packColor

    public static org.lwjgl.vulkan.VkClearColorValue packColor(org.lwjgl.system.MemoryStack stack, VulkanClearValueType.VulkanClearValueColorType source)
    Pack a structure.
    Parameters:
      `stack` - A stack
      `source` - A structure
    Returns:
      A packed structure

  - ### packDepthStencil

    public static org.lwjgl.vulkan.VkClearDepthStencilValue packDepthStencil(org.lwjgl.system.MemoryStack stack, VulkanClearValueDepthStencil source)
    Pack a structure.
    Parameters:
      `stack` - A stack
      `source` - A structure
    Returns:
      A packed structure